title = 'Console Window'

import Tkinter
import Pmw       
import guimaker
from guimixin import *
import sys, string
import leveled
if __name__ != '__main__':
    import ff, js

# ---------------------------------------------------------------
# Console Redirection To Window - redirect to GUI console window
#	    
class ConsoleWin(GuiMixin, guimaker.GuiMaker):
    def start(self):
        self.text = 'FFConsole'
        self.master.title(title)
        self.master.iconname("FFConsole")
  	self.master.geometry('400x500+750+0')
  	#self.master.wm_iconify()
        self.menuBar =  [ 
          ('File', 0,                                
              [guimaker.MenuItem('MissionED', 0, self.doEditMission),]
               #guimaker.MenuItem('Quit',    0, self.quit)]   
          ),
	]
	
	self.toolBar = [
		('MissionEdit', self.doEditMission,	{'side': Tkinter.LEFT }),
		#('Old Level',	self.doOld,		{'side': Tkinter.LEFT }),
		#('Campus Level',self.doCampus,		{'side': Tkinter.LEFT }),
		#('Quit', 	self.quit, 		{'side': Tkinter.RIGHT}),	    
	        ]
	
    def makeWidgets(self):
	# Create the ScrolledText.
        self.st = Pmw.ScrolledText(self,
                borderframe = 1,
                usehullsize = 1,
                hull_width = 400,
                hull_height = 300,
                text_padx = 10,
                text_pady = 10,
                text_wrap='none'
        )
        self.st.pack(padx=5, pady=5, expand=1, fill='both')
	
    def doEditMission(self):
        self.editorShell = Pmw.MegaToplevel(title='MissionEditor')
        self.editor = leveled.EditorApp(self.editorShell.interior())
        self.editorShell.show()
        #self.editor = levelEd.EditorApp(self)

    def doOld(self):
	if __name__ != '__main__':
            js.missionLoad(0)
        
    def doCampus(self):
        if __name__ != '__main__':
            js.missionLoad(9)
        
    def write(self, string):
        self.text = self.text + string
        self.st.settext(self.text)
        
    def writelines(self, lines):
        for line in lines:
            self.write(line)
		
      
        
       
# ---------------------------------------------------------------
# TEST DRIVE
#
root = Pmw.initialise()
root.title(title)
con = ConsoleWin(root)
sys.stdout = con
sys.stderr = con
print "Hello from a redirected CONSOLE!"
con.mainloop()

